File: changelog

package info (click to toggle)
mnemosyne 2.6.1+ds-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 8,268 kB
  • sloc: python: 32,145; ansic: 837; xml: 625; makefile: 249
file content (180 lines) | stat: -rw-r--r-- 5,724 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
mnemosyne (2.6.1+ds-1) unstable; urgency=medium

  * Update packaging:
    - bump dh compat to 11.
    - bump std-ver to 4.2.0. 
    - use my debian.org address everywhere. 
    - refresh patches and drop one.
  * Add python3-cheroot in Depends (Closes: #901413).
  * Fix README name (Closes: #903181).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 09 Aug 2018 22:55:30 +0200

mnemosyne (2.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging:
    - rewrite d/watch to point to github.
    - rewrite d/copyright to conform to new standards
      (and remove android files)
    - bump std-ver to 4.1.3.
    - bump dh compat to 10.
    - drop patches (all upstream now). 
    - ship the documentation.
    - change priority to optional.
    - complete the desktop file.
    - disable auto tests.
    - use Python3 for everything. 

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 17 Feb 2018 18:14:17 +0100

mnemosyne (2.4-0.1) unstable; urgency=medium

  [ Felix Gruber ]
  * Non-maintainer upload.
  * New upstream version 2.4 (closes: #838258)
  * Use dh_python3 and build-depend on pyqt5 replacing QTWebKit with
    QTWebEngine (closes: #825887)
  * Remove old debian/README.source
  * Set dh compatibility level to 9 to avoid deprecation warnings.
  * Remove obsolete override_dh_install and update debian/rules for building
    with python3.

  [ Scott Kitterman ]
  * Add doc sources from upstream bzr to avoid sourceless javascript, rebuild
    docs using sphinx, and include html documentation
  * Add debian/source.lintian-overrides to document that source is present
    despite lintian's concerns

 -- Scott Kitterman <scott@kitterman.com>  Thu, 12 Jan 2017 21:29:11 -0500

mnemosyne (2.2.1-3) unstable; urgency=medium

  * drop dependency on libicu52 (closes: #794832)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 11 Aug 2015 20:10:20 +0100

mnemosyne (2.2.1-2) unstable; urgency=medium

  * updated libicu dependency (closes: #732005)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 19 Dec 2013 18:45:29 +0000

mnemosyne (2.2.1-1) unstable; urgency=low

  * New upstream release (closes: #683688)
  * add debian/watch

 -- Robert Lemmen <robertle@semistable.com>  Fri, 07 Jun 2013 13:21:21 +0100

mnemosyne (2.0~RC1-3) unstable; urgency=low

  * Remove outdated localization files (closes: 678825)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 25 Jun 2012 10:40:57 +0100

mnemosyne (2.0~RC1-2) unstable; urgency=low

  * Depend on libqt4-sql-sqlite (closes: #678017)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 19 Jun 2012 14:16:21 +0100

mnemosyne (2.0~RC1-1) unstable; urgency=low

  * Update to new upstream version
  * Fix QT dependencies (closes: #604362)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 May 2012 18:58:07 +0100

mnemosyne (1.2.2-2) unstable; urgency=low

  * Update recommends to new KDE version (closes: #604362, #637479)
  * Updated to new standards version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 16 Nov 2011 19:01:31 +0000

mnemosyne (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Merged patches from Ubuntu (closes: #589797 and cleans up stuff)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 26 Jul 2010 16:54:31 +0100

mnemosyne (1.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pass --install-layout=deb to setup.py to install files correctly
    when build with Python 2.6 as default (Closes: #571480)
  * Increase minimum build-dependency on python-support to 0.90
    and on Python to 2.5.3-1~.

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 05 Mar 2010 12:35:40 +0000

mnemosyne (1.2.1-2) unstable; urgency=low

  * Fixed corrupt icon (closes: #551747)
  * Update to standards-version 3.8.3 and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Mon, 04 Jan 2010 11:20:35 +0000

mnemosyne (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #521729)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 15 Apr 2009 10:15:42 +0100

mnemosyne (1.2-r1-1) unstable; urgency=low

  * New upstream release (closes: #502242)
  * fixed build system (closes: #516281)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 19:40:00 +0000

mnemosyne (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #483591)
  * Removed version info from man page (closes: #489573)
  * Fixed some minor problems and typos in debian/copyright

 -- Robert Lemmen <robertle@semistable.com>  Sat, 19 Jul 2008 19:33:43 +0100

mnemosyne (1.0.1.1-1) unstable; urgency=low

  * New upstream release (closes: #483591)
  * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 16 Jun 2008 20:56:54 +0100

mnemosyne (1.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make installable with python 2.5. (Closes: #468607)
  * Add patch from Ubuntu to make the app work without python-xml installed
    (as per the previous upload). Thanks! (Closes: #476527)

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 27 Apr 2008 12:05:54 +0200

mnemosyne (1.0-2) unstable; urgency=low

  * Dropped dependency on pyhon-xml (closes: #468607)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Mar 2008 14:20:10 +0000

mnemosyne (1.0-1) unstable; urgency=low

  * New upstream release (closes: #459360)
  * Fixed watch file
  * Updated to new menu stucture
  * Moved Homepage to real control field
  * Updated .desktop file to new standard
  * Bumped standards version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Feb 2008 21:31:41 +0000

mnemosyne (0.9.9-1) unstable; urgency=low

  * Initial release (closes: #420237)  

 -- Robert Lemmen <robertle@semistable.com>  Mon, 17 Sep 2007 15:31:54 +0200